Creates a new instance-wide AI provider (`orgId` is null).…
bearerAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/ai-providers" \ -H "Content-Type: application/json" \ -d '{ "label": "Primary platform provider", "providerType": "openai", "apiKey": "provider-api-key", "model": "example-model", "baseUrl": "https://api.example.com/v1", "thinkingMode": "provider_default", "openAiEndpointMode": "chat_completions", "maxOutputTokensField": "max_tokens", "supportsThinkingMode": false, "minimumThinkingTokens": null, "omitSamplingWhenThinking": false, "inputCostPer1MUncached": 2.5, "inputCostPer1MCached": 1.25, "outputCostPer1M": 10 }'{
"id": "22222222-2222-4222-8222-222222222222",
"label": "Primary platform provider",
"providerType": "openai",
"model": "example-model",
"baseUrl": "https://api.example.com/v1",
"thinkingMode": "provider_default",
"openAiEndpointMode": "chat_completions",
"maxOutputTokensField": "max_tokens",
"supportsThinkingMode": false,
"minimumThinkingTokens": null,
"omitSamplingWhenThinking": false,
"hasApiKey": true,
"inputCostPer1MUncached": 2.5,
"inputCostPer1MCached": 1.25,
"outputCostPer1M": 10,
"enabled": true,
"priority": 0,
"scheduleEnabled": false,
"scheduleStart": "00:00",
"scheduleEnd": "23:59",
"scheduleTimezone": "UTC",
"consecutiveFailures": 0,
"circuitOpenUntil": null,
"lastError": null
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}Try it
Your API key is sent directly to the Convor API from your browser and is never stored on this site.
Was this page helpful?
List platform-wide AI providers
Returns the instance-wide (platform) AI provider registry for super administrators. These providers apply to organizations without their own BYOK keys.…
Update a platform-wide AI provider
Updates one platform-wide AI provider. Only fields present in the body are written. If `apiKey` is omitted or empty, the existing encrypted key is preserved.…